hakyll-4.16.2.2: A static website compiler library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hakyll.Core.Runtime

Synopsis

- run :: RunMode -> Configuration -> Logger -> Rules a -> IO (ExitCode, RuleSet)
- data RunMode
  - = RunModeNormal
  - | RunModePrintOutOfDate

# Documentation

run :: RunMode -> Configuration -> Logger -> Rules a -> IO (ExitCode, RuleSet) Source #

data RunMode Source #

Whether to execute a normal run (build the site) or a dry run.

Constructors

RunModeNormal |
RunModePrintOutOfDate |

#### Instances

Instances details

Show RunMode Source # |
Instance details Defined in Hakyll.Core.Runtime Methods showsPrec :: Int -> RunMode -> ShowS Source # show :: RunMode -> String Source # showList :: [RunMode] -> ShowS Source #